Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 726267 - New tab page sometimes doesn't show thumbnails
: New tab page sometimes doesn't show thumbnails
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal with 5 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: Dão Gottwald [:dao]
: 736796 (view as bug list)
Depends on: 744388
Blocks: 497543
  Show dependency treegraph
Reported: 2012-02-10 23:10 PST by Mike Hommey [:glandium]
Modified: 2012-05-02 06:52 PDT (History)
11 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

Missing thumbnails - do you guys mean this? (485.80 KB, image/png)
2012-04-04 15:00 PDT, Michael Loney
no flags Details
Missing thumbnails - we mean this (109.12 KB, image/png)
2012-04-28 03:58 PDT, Stephan Sokolow
no flags Details

Description Mike Hommey [:glandium] 2012-02-10 23:10:46 PST
I haven't identified a pattern, but with a fresh profile, I don't get thumbnails most of the time, except after restarting firefox. With a very old profile, not matter what i do, thumbnails never show up.
Comment 1 Greg Karz 2012-02-13 09:36:52 PST
I never got any thumbnails. Only gray tiles. When I navigate to the images URL (moz-page-thumb://thumbnail? I get "The image “moz-page-thumb://thumbnail?” cannot be displayed because it contains errors."
Comment 2 Virgil Dicu [:virgil] [QA] 2012-02-15 07:09:53 PST
Mike/Greg, if you wait for the webpages to load completely and afterwards refresh the new tab page, do the thumbnails load in the grid? If not, could you provide some sites where this does not happen?

Greg, did you by chance delete the cache and afterwards load the image from the grid when you received that message?
Comment 3 Mike Hommey [:glandium] 2012-02-16 02:59:03 PST, for instance.
Comment 4 Tim Taubert [:ttaubert] 2012-02-16 03:23:48 PST
(In reply to Mike Hommey [:glandium] from comment #3)
>, for instance.

This is bug 705911. Do you have any other examples that are not bug 705911 or bug 716949?
Comment 5 Mike Hommey [:glandium] 2012-02-16 03:47:36 PST
(In reply to Tim Taubert [:ttaubert] from comment #4)
> (In reply to Mike Hommey [:glandium] from comment #3)
> >, for instance.
> This is bug 705911. Do you have any other examples that are not bug 705911
> or bug 716949?

For example, my main profile (which is very old) has no thumbnail at all, and about:newtab includes, which, if I go to in a fresh profile, does have a thumbnail.
Comment 6 Tim Taubert [:ttaubert] 2012-02-16 04:04:18 PST
Can you please check the value of 'browser.cache.disk.enable' in your old profile? I suspect bug 724408.
Comment 7 Mike Hommey [:glandium] 2012-02-16 04:06:39 PST
(In reply to Tim Taubert [:ttaubert] from comment #6)
> Can you please check the value of 'browser.cache.disk.enable' in your old
> profile? I suspect bug 724408.

It's set to true.
Comment 8 Greg Karz 2012-02-16 08:03:30 PST
Ooops sorry my bad it was 'browser.cache.disk.enable' on my side.
Comment 9 Mike Hommey [:glandium] 2012-03-16 11:14:43 PDT
Still happens on aurora 13.
Comment 10 Nickolay_Ponomarev 2012-04-02 15:44:15 PDT
For the reference: another pref that is said to affect this is browser.display.use_document_colors ("allow pages to choose their own colors") - bug 737877
Comment 11 Tomer Cohen :tomer 2012-04-02 16:29:48 PDT
I have similar issue and reported it on bug 740287. After making sure that both browser.display.use_document_colors and browser.cache.disk.enable are both true, I closed the browser and deleted the whole Cache folder from my profile. After starting the browser again I can see (for the first time) an image on my new tab page, which is gmail. I guess that the icons are now repopulating themselves, and soon enough I'll have thumbnails for every button on the page. 

This experiment can confirm that in my case it was something wrong with the caching mechanism. I still have a backup of my Cache, in case you have an idea what could cause it.
Comment 12 Nickolay_Ponomarev 2012-04-02 19:27:20 PDT
*** Bug 736796 has been marked as a duplicate of this bug. ***
Comment 13 Mike Hommey [:glandium] 2012-04-02 23:21:45 PDT
So, in my case, it looks like it was due to
browser.cache.disk.smart_size.enabled = false
browser.cache.disk.capacity = 0

I don't remember when I set that, but obviously I was shooting myself in the foot. Now I'm starting to see some thumbnails. However, I still have a lack of some thumbnails in fresh profiles where the above prefs are not set.
Comment 14 Michael Loney 2012-04-04 14:57:10 PDT
This bug is annoying. I wonder why it has not received more attention? No user should be expected to debug this when it gets to the final release to get the new tab feature to work correctly. I hope that by beta this catches more attention.
Comment 15 Michael Loney 2012-04-04 15:00:31 PDT
Created attachment 612356 [details]
Missing thumbnails - do you guys mean this?
Comment 16 Tim Taubert [:ttaubert] 2012-04-11 07:18:29 PDT
Will be fixed by bug 744388.
Comment 17 Stephan Sokolow 2012-04-28 03:58:15 PDT
Created attachment 619276 [details]
Missing thumbnails - we mean this


Sort of. What we really mean is this.

All of the mentioned problem booleans check out here and it's been this way for the entire 6 weeks of the Aurora 13 release cycle and across a couple of exploratory reboots just a moment ago in Aurora 14. (I'm on Ubuntu and the Aurora PPA is always a week behind the release)
Comment 18 Tim Taubert [:ttaubert] 2012-05-02 06:52:50 PDT
Fixed by bug 744388.

Note You need to log in before you can comment on or make changes to this bug.